package com.caimei.mapper;

import com.caimei.model.po.*;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/6/30
 */
@Mapper
public interface UserMapper {
    /**
     * 更新余额抵扣
     * @param userMoney 用户余额
     * @param ableUserMoney 用户可用余额
     * @param userID 用户id
     */
    void updateMoney(BigDecimal userMoney, BigDecimal ableUserMoney, Integer userID);

    /**
     * 保存余额抵扣记录
     * @param balanceRecord
     */
    void insertBalanceRecord(BalanceRecordPo balanceRecord);

    /**
     * 获取组织id对应的用户id
     * @param organizeId
     * @return
     */
    Integer getUserIdByOrganizeId(Integer organizeId);
}
