package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.po.CmUserInvoiceInfoPo;
import com.caimei.model.vo.AddressVo;
import com.caimei.model.vo.ProvinceVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/25
 */
public interface AddressService {
    /**
     * 查询用户所有地址
     *
     * @param storeId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PageInfo<AddressVo>> findAddress(Integer storeId, Integer pageNum, Integer pageSize);

    /**
     * 保存或编辑地址
     *
     * @param address
     * @return
     */
    ResponseJson<AddressVo> saveAddress(AddressVo address);

    /**
     * 删除地址
     *
     * @param addressId
     * @return
     */
    ResponseJson<String> deleteAddress(Integer addressId);

    /**
     * 设为默认地址
     *
     * @param storeId
     * @param addressId
     * @return
     */
    ResponseJson<String> defaultAddress(Integer storeId, Integer addressId);

    /**
     * 地址列表数据
     *
     * @return
     */
    ResponseJson<List<ProvinceVo>> address();

    /**
     * 保存更新发票信息
     *
     * @param invoice
     * @return
     */
    ResponseJson<String> saveInvoice(CmUserInvoiceInfoPo invoice);

    /**
     * 查询用户发票
     *
     * @param organizeId
     * @return
     */
    ResponseJson<CmUserInvoiceInfoPo> findInvoice(Integer organizeId);
}
